code=1000
/*nobreak
*/
/***************************************************************************/
/*									   */
/* This Program has been written specifically to help you remove           */
/* unwanted files from ZIP archives                                        */
/*									   */
/***************************************************************************/

DOMAINS

         file = input ; output ; dummy ; dummyxy

PREDICATES

	initialise
	start
	get_file(string)

/**------------------------------------------------------------------------**/
	
GOAL
	start,
	initialise.


/**------------------------------------------------------------------------**/
/**                             CLAUSES BODY                               **/
/**------------------------------------------------------------------------**/

CLAUSES

	START if
		comline(X),
		X = "?",!,
		clearwindow,
		write("REMADD Version 1.0 - Options List"),nl,nl,
		write("Remadd requires command line parameters as follows;"),nl,nl,
		write("   REMADD ?                                      to get this help screen"),nl,
		write("   REMADD name1.ext name2.ext.......name(n).ext  to input files manually"),nl,
		write("   REMADD @name.ext                              to access list of files"),nl,nl,
		write("REMADD removes the files specified in name1.ext to name(n).ext or in the"),nl,
		write("file @name.ext which contains a filelist from all the ZIP files in the"),nl,
		write("current directory. @name.ext contains a list of names in ASCII format that"),nl,
		write("are seperated by carriage returns. The file infunc.bat can be used to call"),nl,
		write("any program you wish prior to removing files from the archives and outfunc.bat"),nl,
		write("will call a program after files removal but prior to disk statistics"),nl,nl,
		exit.
		

	START if
		comline(X),
		X >< "",!,
		clearwindow,
		makewindow(3,31,31,"disk after",7,17,4,20),
		makewindow(2,31,31,"disk before",0,17,4,20),
		diskspace('c',A),
		diskspace('d',B),
		cursor(0,2),
		write(A),
		cursor(1,2),
		write(B),
		makewindow(1,31,31,"dir",0,0,25,16).
		
	START if !,
		clearwindow,
		nl,nl,nl,
		write("Command Line Parameters are missing !"),nl,nl,
		write("Type REMADD ? to get HELP"),nl,
		exit.
		
	INITIALISE if
		shiftwindow(1),
		comline(X),
		system("infunc.bat"),
		get_file(X),!.

	INITIALISE if !,
		system("outfunc.bat"),
		shiftwindow(3),
		diskspace('c',A),
		diskspace('d',B),
		cursor(0,2),
		write(A),
		cursor(1,2),
		write(B),
		readchar(_),
		removewindow,
		removewindow,
		removewindow,
		clearwindow,
		exit.		
		
	GET_FILE(X) if
		dirfiles("*.zip",$40,Za,_,_,_,_,_,_,_,_),
		write(Za),nl,
		concat("pkzip -d ",Za,E),
		concat(E," ",Fa),
		concat(Fa,X,F),
		system(F),
		fail.
